Subject: Stability Problem with Cygwin Pthreads
From: "Arash Partow" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sun, 02 Nov 2003 07:17:08 +0000

Hi All,

This post is about cygwins pthreads. people following this issue
will know there have been some stability issues with cygwin's
pthreads and since last week A LOT of them have been resolved.
Yet as more of these problems are resolved more problems in the
same area.

My issue is, I have compiled the dll from the snapshots (in debug mode),
the dll I compiled is fine it does not crash the pthread test application
I run, however when I re-compile the dll without debug on or if I use the
pre-built snapshot dll cygwin1-20031028.dll.bz2 the pthread test
application crashes (continually without fail!).

Can anyone tell me why such a thing would happen and what are the
fundamental difference between debug mode of cygwin dll and release
versions other than the obvious debug info and extra asserts that go
into the dll ?

Also if possible could people download the ThreadTest source code
and also download the latest cygwin dll snapshot and tell me if
they see the test application crash or not, then if you know how
to build cygwin also download the cygwin source and rebuild the dll
with debug info and then see if it crashes, also rebuild it without
debug info and see if it crashes or not.

Thread Test source: http://www.partow.net/downloads/ThreadTest-Prototype.zip
Snapshot dll      : http://cygwin.com/snapshots/cygwin1-20031028.dll.bz2
Cygwin source     : http://cygwin.com/snapshots/cygwin-src-20031028.tar.bz2

If a few people could try this out and give me their results, it
would help understand what is going wrong with these 3 different
builds. I hoping to resolve this issue with the help of the cygwin
community before the next major release.

My current setup is win2k sp4, gcc 3.3.1 (cygming special)

Any help or advice would be very much appreciated.

Regards

Arash

PS: I have stack traces from GDB, but seeing as though it would be
    easier to see the problems for yourselves i haven't appended
    any, but in the off chance anyone would like stack traces and
    such please e-mail me and i will only be too happy to oblige.

__________________________________________________
Be one who knows what they don't know,
Instead of being one who knows not what they don't know,
Thinking they know everything about all things.
http://www.partow.net

_________________________________________________________________
Hot chart ringtones and polyphonics. Go to  
http://ninemsn.com.au/mobilemania/default.asp

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/